<?php

namespace App\Http\Requests\Admin\AdminManagement;

use Illuminate\Foundation\Http\FormRequest;

class AdminManagementIndexRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return $this->user()->can('viewAny', \App\Models\Admin::class);
    }

    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            // Index sayfası için özel validasyon kuralları
        ];
    }
}
